Subject: FVWM: an application that doesn't like FVWM? Cadence Allegro not supported!

From: "Buchs, Kevin J." <[email-masked]>
Date: Mon, 5 Feb 2001 16:51:26 -0600

I sort of thought that applications should be neutral to Window managers.
However, I recently started using a CAD software tool (Cadence/Allegro) to
design a printed circuit board.  I noticed lots of X-window-related crashes
and hangs so I switched to dtwm (under HP-UX).  The crashing stopped, but I
am still not happy.  My CAD support engineer found the following note on the
Cadence web site.  Note that it is not the error I encountered.  I would
appreciate any hints or suggestions anyone might share so that I could use
my favorite Window manager.
-------
*Error_Message:
  X Error of failed request:  BadAccess (attempt to access private resource
denied)
    Major opcode of failed request:  28 (X_GrabButton)
 
 *Problem:
 Middle/Right  Mouse Button Function Crashes Over Cell in Library Manager
 
 *Solution:
 This error is generated because of Window Manager being used. If you use 
 a window manager which is not MOTIF compliant then this error appears. this

 has already been reported on following.
 
 fvwm,  fvwm-2, KDE Windows Manager and R4 version of twm window manager.
 
 for fvwm and fvwm2 , following changes in configuration can be tried.
 
 The following two options should be specified in the fvwm configuration
 file to mimic some motif behavior:
 
	"MWMDecorHints"
 
	Causes fvwm to read the MOTIF_WM_HINTS atom from application windows
	and to parse and attempt to replicate the Motif behavior with regard
	to window decorations.	Note that mwm allows function hints to
affect
	window decorations but these effects are not replicated by this
option.
 
	"MWMFunctionHints"
 
	Causes fvwm to read the MOTIF_WM_HINTS atom from application windows
	and to parse and attempt to replicate the Motif behavior with regard
	to allowed window functions.  Unlike mwm, which simply removes
	prohibited functions from the window's menus, fvwm simply shades out
	the prohibited functions. Also, because fvwm implements some
functions
	in user defined macros that mwm implements internally, the mapping
of
	prohibited functions is partially based on the menu item label.
 
 for KDE windows manager , following changes in configuration can be tried
 
 Set Button3Grab=off in ~/.kde/share/config/kwmrc 
 
 Note : fvwm/fvwm2/KDE windows manager/twm(version R4) are not supported
Windows
 Manager for cadence applications. It is
 highly recommended to switch to motif or openlook windows manager.
----

-- + -- + -- + -- + -- + -- + -- + -- + -- + -- + -- + -- + -- + -- 
Kevin Buchs             http://www.mayo.edu/sppdg
Mayo Foundation         200 1st St. SW             507-538-5459
[email-masked]    Rochester, MN, 55905       507-284-9171 (fax)
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Tue, 06 Feb 2001 08:34:36 -0500

"Buchs, Kevin J." <[email-masked]> writes:
> and hangs so I switched to dtwm (under HP-UX).

If any of these hangs or crashes are in fvwm, a stack trace might help.

> The crashing stopped, but I
...
>  file to mimic some motif behavior:

Did you try using these options?  Did it help?

If you are using a current beta, it might help if you put this in
your .fvwm2rc:

BugOpts ModalityIsEvil

>  Windows Manager for cadence applications. It is

I'm unable to get inside the Cadence support area.  I guess I'd need
to be a customer.

This product also runs under Windows.  It may be using the Mainsoft
portability libraries.  Search the Fvwm FAQ for "mainsoft".  See if
that advice helps.

Let us know what you find.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].